# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name lrucache

Name:           ghc-%{pkg_name}
Version:        1.1.1.3
Release:        3%{?dist}
Summary:        A simple, pure LRU cache

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
# End cabal-rpm deps

%description
This package contains a simple, pure LRU cache, implemented in
terms of "Data.Map".

It also contains a mutable IO wrapper providing atomic updates to
an LRU cache.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell lrucache library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun  3 2013 Jens Petersen <petersen@redhat.com> - 1.1.1.3-2
- update to new simplified Haskell Packaging Guidelines

* Fri Mar  8 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.1.1.3-1
- spec file generated by cabal-rpm-0.7.1
